## ros-indigo-safety-limiter 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(safety_limiter)

## Find catkin and any catkin packages
find_package(catkin REQUIRED
  COMPONENTS
    cmake_modules
    roscpp

    diagnostic_updater
    geometry_msgs
    pcl_ros
    sensor_msgs
    tf2_ros
    tf2_sensor_msgs

    neonavigation_common
)
find_package(PCL REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(xmlrpcpp REQUIRED)

## Declare a catkin package
catkin_package(
  CATKIN_DEPENDS
    roscpp

    diagnostic_updater
    geometry_msgs
    pcl_ros
    sensor_msgs
    tf2_ros
    tf2_sensor_msgs

    neonavigation_common
)
include_directories(${catkin_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS} ${Eigen_INCLUDE_DIRS})
add_definitions(${PCL_DEFINITIONS})

# Workaround for debian stretch build (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=894656)
list(REMOVE_ITEM PCL_LIBRARIES
  "vtkGUISupportQt"
  "vtkGUISupportQtOpenGL"
  "vtkGUISupportQtSQL"
  "vtkGUISupportQtWebkit"
  "vtkViewsQt"
  "vtkRenderingQt"
)

# Workaround for the bug in PCL(<1.8.1) https://github.com/PointCloudLibrary/pcl/issues/1406
remove_definitions(-DDISABLE_LIBUSB-1.0)

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
	message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")

# Binary installed pcl provided by Linux distro is built with -march=native
# which causes a lot of compatibility problems.
# Define PCL_NO_PRECOMPILE to disable using the binary version.
add_definitions(-DPCL_NO_PRECOMPILE)


add_executable(safety_limiter src/safety_limiter.cpp)
target_link_libraries(safety_limiter ${catkin_LIBRARIES} ${PCL_LIBRARIES})


if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_subdirectory(test)
  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()

install(TARGETS
    safety_limiter
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-safety-limiter (0.3.1-0trusty) trusty; urgency=high

  * safety_limiter: increase tolerance of the test (#243 <https://github.com/at-wat/neonavigation/issues/243>)
  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)
  * Migrate tf to tf2 (#230 <https://github.com/at-wat/neonavigation/issues/230>)
  * safety_limiter: add diagnostics to safety_limiter node  (#227 <https://github.com/at-wat/neonavigation/issues/227>)
  * safety_limiter: allow escape motion from collision (#221 <https://github.com/at-wat/neonavigation/issues/221>)
  * safety_limiter: fix first time step of collision prediction (#222 <https://github.com/at-wat/neonavigation/issues/222>)
  * Fix catkin package definitions (#206 <https://github.com/at-wat/neonavigation/issues/206>)
  * Contributors: Atsushi Watanabe, So Jomura, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 10 Jan 2019 00:00:00 -0000

ros-indigo-safety-limiter (0.2.3-0trusty) trusty; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 19 Jul 2018 00:00:00 -0000

ros-indigo-safety-limiter (0.2.2-0trusty) trusty; urgency=high

  * Workaround for debian stretch build problem (#199 <https://github.com/at-wat/neonavigation/issues/199>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-indigo-safety-limiter (0.2.1-0trusty) trusty; urgency=high

  * Compile with PCL_NO_PRECOMPILE (#195 <https://github.com/at-wat/neonavigation/issues/195>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 14 Jul 2018 00:00:00 -0000

ros-indigo-safety-limiter (0.2.0-0trusty) trusty; urgency=high

  * safety_limiter: update document (#192 <https://github.com/at-wat/neonavigation/issues/192>)
  * safety_limiter: fix safety limit logic (#187 <https://github.com/at-wat/neonavigation/issues/187>)
  * safety_limiter: fix input cloud buffering (#184 <https://github.com/at-wat/neonavigation/issues/184>)
  * Fix namespace migration messages (#174 <https://github.com/at-wat/neonavigation/issues/174>)
  * Fix topic/service namespace model (#168 <https://github.com/at-wat/neonavigation/issues/168>)
  * Fix package dependencies (#167 <https://github.com/at-wat/neonavigation/issues/167>)
  * Fix naming styles (#166 <https://github.com/at-wat/neonavigation/issues/166>)
  * Update package descriptions and unify license and version (#165 <https://github.com/at-wat/neonavigation/issues/165>)
  * Use neonavigation_msgs package (#164 <https://github.com/at-wat/neonavigation/issues/164>)
  * safety_limiter: add watchdog timer (#123 <https://github.com/at-wat/neonavigation/issues/123>)
  * safety_limiter: use timer instead of spinOnce (#121 <https://github.com/at-wat/neonavigation/issues/121>)
  * safety_limiter: fix naming style. (#86 <https://github.com/at-wat/neonavigation/issues/86>)
  * Suppress compile warnings and test with -Werror. (#82 <https://github.com/at-wat/neonavigation/issues/82>)
  * safety_limiter: avoid kdtree build for empty cloud. (#67 <https://github.com/at-wat/neonavigation/issues/67>)
  * Add missing dep to xmlrpcpp. (#52 <https://github.com/at-wat/neonavigation/issues/52>)
  * safety_limiter: support fragmented pointcloud input. (#43 <https://github.com/at-wat/neonavigation/issues/43>)
  * Support package install. (#45 <https://github.com/at-wat/neonavigation/issues/45>)
  * Fix coding styles. (#39 <https://github.com/at-wat/neonavigation/issues/39>)
  * adds READMEs (#11 <https://github.com/at-wat/neonavigation/issues/11>)
  * safety_limiter: increases subscribe buffer length for safety disable input
  * safety_limiter: adds time margin in collision test
  * safety_limiter: uses pcl's erase-remove_if
  * safety_limiter: fixes safety disable mode to ignore cloud timeout
  * safety_limiter: adds safety disable input
  * safety_limiter: fixes pointcloud height handling
  * safety_limiter: reduces pointcloud timeout warning
  * safety_limiter: publishes stop command if no pointcloud received
  * safety_limiter: Motion limiter for collision prevention
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Jul 2018 00:00:00 -0000

=== debian/control ===
Source: ros-indigo-safety-limiter
Section: misc
Priority: extra
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-neonavigation-common, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-rostest, ros-indigo-sensor-msgs, ros-indigo-tf2-ros, ros-indigo-tf2-sensor-msgs, ros-indigo-xmlrpcpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-safety-limiter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-cmake-modules, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-neonavigation-common, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf2-ros, ros-indigo-tf2-sensor-msgs, ros-indigo-xmlrpcpp
Description: Motion limiter package for collision prevention

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-safety-limiter//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
